import React, { FC, ComponentProps } from 'react'
import { Typography, TypographyProps } from 'antd'
import styled from 'styled-components'

type TinyTextProps = ComponentProps<TypographyProps['Text']>

const StyledTinyText = styled(Typography.Text)`
  font-weight: 400;
  font-size: 12px;
  line-height: 1.75;
  color: #1E1D1F;
`
export const TinyText: FC<TinyTextProps> = (props) => {
	return <StyledTinyText {...props} />
}
