import React from 'react';
import ReactDOM from 'react-dom/client';
import { ConfigProvider } from 'antd'
import { Theme } from './theme'
import { ThemeProvider } from './theme/ThemeProvider'
import { BrowserRouter } from "react-router-dom";
import App from './App';
import 'typeface-lato'
import 'typeface-roboto'
import 'antd/dist/reset.css';
import './styles/reset.css';

const root = ReactDOM.createRoot(
	document.getElementById('root') as HTMLElement
);
root.render(
	<React.StrictMode>
		<BrowserRouter>
			<ConfigProvider theme={Theme}>
				<ThemeProvider>
					<App />
				</ThemeProvider>
			</ConfigProvider>
		</BrowserRouter>
	</React.StrictMode>
);
