import styled from 'styled-components'
import Image from './images/activate@2x.png'
import ImageMobile from './images/activateMobile@2x.png'
import { Title, Paragraph } from 'components/Typography'
import { Button } from 'components/Button'

export const StyledContainer = styled.div`
  display: flex;
  flex-direction: row;
  padding: 25px 0 25px 40px;

  ${props => props.theme.breakpoints.down('s')} {
	padding: 12px 16px;
	flex-direction: column;
	align-items: center;
  }
`
export const StyledImageWrapper = styled.div`
  width: 54%;
  max-width: 737px;
  height: 809px;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  background-image: url(${Image});
  flex: 0 0 auto;

  ${props => props.theme.breakpoints.down('s')} {
	background-image: url(${ImageMobile});
	max-width: 358px;
	width: 100%;
	height: 232px;
  }
`

export const StyledMainContent = styled.div`
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  flex: auto;

  ${props => props.theme.breakpoints.down('s')} {
	width: 100%;
	padding-top: 20px;
  }
`

export const StyledHeadline = styled(Title)<{$login: boolean}>`
  margin-bottom: ${({ $login }) => $login ? '0' : '37'}px !important;
  font-size: 36px;

  ${props => props.theme.breakpoints.down('s')} {
    margin-bottom: 1px !important;
  }
`
export const StyledParagraph = styled(Paragraph)`
  margin-top: 0 !important;
  margin-bottom: 0 !important;
`
export const StyledContent = styled.div`
  width: 388px;

  ${props => props.theme.breakpoints.down('s')} {
	width: 100%;
  }
`

export const StyledFormContent = styled.div`
  margin-top: 26px;
`

export const StyledButton = styled(Button)`
  margin-top: 15px;
`


export const StyledHint = styled.div`
  text-align: center;
  margin-top: 33px;
  ${props => props.theme.breakpoints.down('s')} {
	margin-top: 18px;
  }
`
