import React, { FC } from 'react'
import { StyledContainer, StyledImageWrapper, StyledMainContent, StyledTitle, StyledContent } from './styled'
import { Divider } from 'antd'
import { Button } from 'components/Button'
import { Paths } from 'routes/Paths'

export const Home: FC = () => {
	return (
		<StyledContainer>
			<StyledImageWrapper />
			<StyledMainContent>
				<StyledTitle level={3}>Welcome to iHealth CheckMeSafe!</StyledTitle>
				<StyledContent>
					<Button block href={Paths.Activate}>Activate Kit</Button>
					<Divider plain>Or</Divider>
					<Button block type="default" href={Paths.Login}>Log in</Button>
				</StyledContent>
			</StyledMainContent>
		</StyledContainer>
	)
}
