import styled from 'styled-components'
import Image from './images/homePic@2x.png'
import { Title } from 'components/Typography'

export const StyledContainer = styled.div`
  display: flex;
  flex-direction: row;
  padding: 25px 0 25px 40px;

  ${props => props.theme.breakpoints.down('s')} {
	padding: 4px 23px;
	flex-direction: column;
	align-items: center;
  }
`
export const StyledImageWrapper = styled.div`
  width: 54%;
  max-width: 737px;
  height: 773px;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  background-image: url(${Image});
  flex: 0 0 auto;

  ${props => props.theme.breakpoints.down('s')} {
	width: 100%;
	height: 393px;
	max-width: 344px;
  }
`

export const StyledMainContent = styled.div`
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  flex: auto;

  ${props => props.theme.breakpoints.down('s')} {
    width: 100%;
    padding-top: 26px;
  }
`

export const StyledTitle = styled(Title)`
`
export const StyledContent = styled.div`
  margin-top: 44px;
  width: 358px;

  ${props => props.theme.breakpoints.down('s')} {
    width: 100%;
    margin-top: 26px;
  }
`
