import { ExternalPaths, Paths } from './Paths'
import { ComponentType } from 'react'
import { ReactComponent as HistorySvg } from 'icons/history.svg'
import { ReactComponent as QuestionSvg } from 'icons/question.svg'
import { ReactComponent as BellSvg } from 'icons/bell.svg'
import { ReactComponent as GearSvg } from 'icons/gear.svg'
import { ReactComponent as HomeSvg } from 'icons/home.svg'

export interface MenuItem {
	title: string
	href: string
	target?: string
	icon: ComponentType<any>
}

export const menuConfig: MenuItem[] = [{
	title: 'Dashboard',
	href: Paths.Dashboard,
	icon: HomeSvg
}, {
	title: 'Test History',
	href: Paths.History,
	icon: HistorySvg
}, {
	title: 'FAQs',
	href: ExternalPaths.Faqs,
	target: '_blank',
	icon: QuestionSvg
}, {
	title: 'Settings',
	href: Paths.Settings,
	icon: GearSvg
}, {
	title: 'Contact Us',
	href: ExternalPaths.ContactUs,
	target: '_blank',
	icon: BellSvg
}]
